﻿namespace MsdnMag.Exchange.PushNotificationClient
{
    /// <summary>
    /// Extension methods for byte arrays and other types.
    /// </summary>
    public static class Extensions
    {
        static Extensions() { }

        public static byte[] Subset(this byte[] baseArray, int startIndex, int numberOfElements)
        {
            byte[] subsetArray = new byte[numberOfElements];
            for (int i = startIndex, j = 0; i < numberOfElements + startIndex; i++, j++)
            {
                subsetArray[j] = baseArray[i];
            }
            return subsetArray;
        }
    }
}
